mod githubctl;

const USERNAME: &'static str = include_str!("../.username");
const TOKEN: &'static str = include_str!("../.pat");
const ORG: &'static str = include_str!("../.org");
const REPO: &'static str = include_str!("../.repo");

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let mut github = githubctl::GithubCtl::new(USERNAME, TOKEN)?;
    github.get_events(ORG, REPO).await?;
    println!("done.");
    Ok(())
}
